Skip to main content
`Ctrl`+`K`

# TSRKType

String with the name of a Runge-Kutta `TSRK` type

## Synopsis

    #include <petscts.h>
    typedef const char *TSRKType;
    #define TSRK1FE "1fe"
    #define TSRK2A  "2a"
    #define TSRK2B  "2b"
    #define TSRK3   "3"
    #define TSRK3BS "3bs"
    #define TSRK4   "4"
    #define TSRK5F  "5f"
    #define TSRK5DP "5dp"
    #define TSRK5BS "5bs"
    #define TSRK6VR "6vr"
    #define TSRK7VR "7vr"
    #define TSRK8VR "8vr"

## See Also

TS: Scalable ODE and DAE Solvers, `TS`, `TSRKSetType()`, `TSRK`, `TSRKRegister()`

## Level

beginner

## Location

include/petscts.h

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages